JNDIConstants
Date: 2016-06-25

org.osgi.service.jndi

## Class JNDIConstants

- java.lang.Object
- - org.osgi.service.jndi.JNDIConstants

-     public class JNDIConstants
      extends java.lang.Object

  Constants for the JNDI implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUNDLE_CONTEXT` This JNDI environment property can be used by a JNDI client to indicate the caller's BundleContext.
    `static java.lang.String` | `JNDI_SERVICENAME` This service property is set on an OSGi service to provide a name that can be used to locate the service other than the service interface name.
    `static java.lang.String` | `JNDI_URLSCHEME` This service property is set by JNDI Providers that publish URL Context Factories as OSGi Services.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JNDI_URLSCHEME

          public static final java.lang.String JNDI_URLSCHEME

      This service property is set by JNDI Providers that publish URL Context Factories as OSGi Services. The value of this property should be the URL scheme that is supported by the published service.
      See Also:
        Constant Field Values

    - #### JNDI_SERVICENAME

          public static final java.lang.String JNDI_SERVICENAME

      This service property is set on an OSGi service to provide a name that can be used to locate the service other than the service interface name.
      See Also:
        Constant Field Values

    - #### BUNDLE_CONTEXT

          public static final java.lang.String BUNDLE_CONTEXT

      This JNDI environment property can be used by a JNDI client to indicate the caller's BundleContext. This property can be set and passed to an InitialContext constructor. This property is only useful in the "traditional" mode of JNDI.
      See Also:
        Constant Field Values